Skip to main content
GET
/
policies
/
{policyId}
/
premium-projection
Get policy premium projection
curl --request GET \
  --url https://api.example.com/policies/{policyId}/premium-projection
{
  "premiumProjection": [
    {
      "startAt": "2023-11-07T05:31:56Z",
      "endAt": "2023-11-07T05:31:56Z",
      "premium": {
        "amountPreFeesAndTaxes": 123,
        "fees": [
          {
            "id": "<string>",
            "chargeType": "ONE_TIME",
            "amount": 123,
            "brokerageFirmId": "<string>"
          }
        ],
        "totalFees": 123,
        "amountWithFeesPreTaxes": 123,
        "taxes": [
          {
            "id": "<string>",
            "chargeType": "ONE_TIME",
            "amount": 123
          }
        ],
        "totalTaxes": 123,
        "amountWithFeesAndTaxes": 123
      },
      "components": [
        {
          "id": "<string>",
          "type": "PREMIUM",
          "premium": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "chargeType": "ONE_TIME",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "chargeType": "ONE_TIME",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          }
        }
      ]
    }
  ]
}

Path Parameters

policyId
string
required

the policy id

Response

premiumProjection
object[]
required

Premium projection